Skip to main content
GET
/
api
/
v1
/
jobs
/
{runID}
Get Job Status
curl --request GET \
  --url https://api.usenexio.com/api/v1/jobs/{runID} \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "990d0fae-dc17-43af-aaed-ff8b580c17ab",
  "status": "queued",
  "environment": "test",
  "created_at": "2026-04-01T18:19:38.851Z"
}
You are viewing legacy endpoint documentation. See the Modern docs for engine-scoped endpoints.

Authorizations

Authorization
string
header
required

API key with environment prefix. Use nx_test_... for sandbox and nx_live_... for production. Obtain keys at platform.usenexio.com/settings/api-keys.

Path Parameters

runID
string<uuid>
required

The run identifier returned by POST /api/v1/jobs.

Response

Current run status and results (if completed).

run_id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
processing,
completed,
failed
environment
enum<string>
required
Available options:
test,
live
created_at
string<date-time>
required
stage
string
output
object
duration_ms
integer
error
string
error_details
object
completed_at
string<date-time>
solutions
object[]